Creates a new task priority
Request Information
URI Parameters :
None.
Body Parameters :
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Request Formats :
application/json, text/json
{
"id": "791edde8-d71f-4e9c-9365-8929cfcc15e4",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "321b928d-7483-4f67-92ac-01e5c3edba7f",
"sales_organization_code": "sample string 8"
}
Response Information
Resource Description :
IHttpActionResult
task_priority| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the task priority (High,Medium) |
string |
Required Max length: 255 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| is_default |
Auto selected when creating a new task |
boolean | |
| sequence |
Sorting field (0 first), to order them |
integer | |
| only_for_e_service |
Specify his this task priority is only usable on the e-service |
boolean | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization |
Response Formats
application/json, text/json
{
"id": "d2430507-605a-4a0c-a2f1-b4002d7001b8",
"name": "sample string 2",
"code": "sample string 3",
"is_default": true,
"sequence": 5,
"only_for_e_service": true,
"sales_organization_id": "d6998ee2-6e03-445d-a82c-610b5d5b891a",
"sales_organization_code": "sample string 8"
}